package com.jld.vod.dao

import androidx.paging.DataSource
import androidx.room.*
import com.jld.vod.model.bean.CategorySonAllBean


/**
 * @author ZhaoFuXin
 * @Email：18276061387@163.com
 * @description:
 * @date :2019/11/28 15:31
 */
@Dao
interface CategorySonAllDao {
    @Insert
    fun insertAll(vararg users: CategorySonAllBean)

    @Query("SELECT * FROM CategorySonAllBean")
    fun getAll(): List<CategorySonAllBean>

    /**
     * 获取所有设备给paging使用
     */
    @Query("SELECT * FROM CategorySonAllBean")
    fun getAlls(): DataSource.Factory<Int, CategorySonAllBean>

    @Query(" DELETE FROM CategorySonAllBean")
    fun delete()
}